package com.dtai.gwt;

import java.awt.*;

/**
 * PackThread
 * @version 1.1
 * @author   DTAI, Incorporated
 */
class PackThread extends Thread {

    DialogWrapper dialog;

    /**
     * PackThread
     * @param dialog - TBD
     */
    public PackThread( DialogWrapper dialog ) {
		super("com.dtai.gwt.PackThread");
        this.dialog = dialog;
    }

    /**
     * run
     */
    public void run() {
        try {
            Graphics test;
            while ( (test = dialog.getGraphics()) == null ) {
                sleep( 50 );
            }
            test.dispose();
            dialog.positionDialog();
            sleep( 50 );
            dialog.shell.forceFocus();
            dialog.shell.resetFocus();
            dialog.shell.requestFocus();
            sleep( 300 );
            dialog.positionDialog();
            dialog.shell.getGadget().repaint();
            sleep( 300 );
            dialog.shell.getGadget().repaint();
        }
        catch ( InterruptedException ie ) {
        }
    }
}
